Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QCanvasText Class Reference
[canvas module]

The QCanvasText class provides a text object on a QCanvas. More...

`#include <qcanvas.h>`

Inherits QCanvasItem.

List of all member functions.

## Public Members

- QCanvasText ( QCanvas * canvas )
- QCanvasText ( const QString & t, QCanvas * canvas )
- QCanvasText ( const QString & t, QFont f, QCanvas * canvas )
- virtual ~QCanvasText ()
- void setText ( const QString & t )
- void setFont ( const QFont & f )
- void setColor ( const QColor & c )
- QString text () const
- QFont font () const
- QColor color () const
- int textFlags () const
- void setTextFlags ( int f )
- virtual QRect boundingRect () const
- virtual int rtti () const

## Protected Members

- virtual void draw ( QPainter & painter )

## Detailed Description

The QCanvasText class provides a text object on a QCanvas.

A canvas text item has text with font, color and alignment attributes. The text and font can be set in the constructor or set or changed later with setText() and setFont(). The color is set with setColor() and the alignment with setTextFlags(). The text item's bounding rectangle is retrieved with boundingRect().

The text can be drawn on a painter with draw().

Like any other canvas item text items can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

See also Graphics Classes and Image Processing Classes.

## Member Function Documentation

### QCanvasText::QCanvasText ( QCanvas * canvas )

Constructs a QCanvasText with the text "<text>", on canvas.

### QCanvasText::QCanvasText ( const QString & t, QCanvas * canvas )

Constructs a QCanvasText with the text t, on canvas canvas.

### QCanvasText::QCanvasText ( const QString & t, QFont f, QCanvas * canvas )

Constructs a QCanvasText with the text t and font f, on the canvas canvas.

### QCanvasText::~QCanvasText ()`[virtual]`

Destroys the canvas text item.

### QRect QCanvasText::boundingRect () const`[virtual]`

Returns the bounding rectangle of the text.

Reimplemented from QCanvasItem.

### QColor QCanvasText::color () const

Returns the color of the text.

See also setColor().

### void QCanvasText::draw ( QPainter & painter )`[virtual protected]`

Draws the text using the painter painter.

Reimplemented from QCanvasItem.

### QFont QCanvasText::font () const

Returns the font in which the text is drawn.

See also setFont().

### int QCanvasText::rtti () const`[virtual]`

Returns 3 (QCanvasItem::Rtti_Text).

See also QCanvasItem::rtti().

Reimplemented from QCanvasItem.

### void QCanvasText::setColor ( const QColor & c )

Sets the color of the text to the color c.

See also color() and setFont().

Example: chart/chartform_canvas.cpp.

### void QCanvasText::setFont ( const QFont & f )

Sets the font in which the text is drawn to font f.

See also font().

### void QCanvasText::setText ( const QString & t )

Sets the text item's text to t. The text may contain newlines.

See also text(), setFont(), setColor(), and setTextFlags().

Example: canvas/canvas.cpp.

### void QCanvasText::setTextFlags ( int f )

Sets the alignment flags to f. These are a bitwise OR of the flags available to QPainter::drawText() -- see the Qt::AlignmentFlags.

See also setFont() and setColor().

### QString QCanvasText::text () const

Returns the text item's text.

See also setText().

### int QCanvasText::textFlags () const

Returns the currently set alignment flags.

See also setTextFlags() and Qt::AlignmentFlags.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.